use xcb;

pub trait Widget {
    fn render(&self, x: u16);
    fn width(&self) -> u16;
    fn handle_event(&mut self, event: &xcb::GenericEvent, is_finishing: bool) -> bool;
    fn finish(&mut self);
}
